Novell NDPS/iPrint DPRPC library integer overflow

novell-ndps-overflow (26314) The risk level is classified as HighHigh Risk

Description:

The Novell Distributed Print Services (NDPS) DPRPC library is vulnerable to an integer overflow in the ndps_xdr_array() function. By sending a malformed request to a system running NDPS, iPrint, or iManager using the iPrint plugins, a remote attacker could exploit this vulnerability to cause the system to crash or possibly execute arbitrary code on the system.


Consequences:

Gain Access

Remedy:

For Novell NetWare:
Refer to Novell Technical Information Document TID2973700 for patch or upgrade information. See References.

For Novell Client for Windows:
Refer to Novell Technical Information Document TID2973719 for patch or upgrade information. See References.

References:

  • Full-Disclosure Mailing List, Mon May 15 2006 - 09:40:07 CD: Novell NDPS Remote Vulnerability (Server & Client).
  • Hustle Labs Advisory 15-May-2006: Novell Ditributed Print Services Remote Integer Overflow.
  • Novell Technical Information Document TID2973700: Security release for DPRPCNLM.
  • Novell Technical Information Document TID2973719: Novell Client 4.91 Post-SP2 DPRPCW32.DLL.
  • BID-17922: Novell NetWare Distributed Print Services Integer Overflow Vulnerability
  • BID-17931: Novell Client Unspecified Buffer Overflow Vulnerability
  • CVE-2006-2304: Multiple integer overflows in the DPRPC library (DPRPCW32.DLL) in Novell Client 4.83 SP3, 4.90 SP2 and 4.91 SP2 allow remote attackers to execute arbitrary code via an XDR encoded array with a field that specifies a large number of elements, which triggers the overflows in the ndps_xdr_array function. NOTE: this was originally reported to be a buffer overflow by Novell, but the original cause is an integer overflow.
  • CVE-2006-2327: Multiple integer overflows in the DPRPC library (DPRPCNLM.NLM) NDPS/iPrint module in Novell Distributed Print Services in Novell NetWare 6.5 SP3, SP4, and SP5 allow remote attackers to execute arbitrary code via an XDR encoded array with a field that specifies a large number of elements, which triggers the overflows in the ndps_xdr_array function.
  • OSVDB ID: 25429: Novell Client for Windows DPRPC library (DPRPCW32.DLL) ndps_xdr_array Function Remote Overflow
  • OSVDB ID: 25433: Novell NetWare Distributed Print Services DPRPCNLM.NLM Overflow
  • SA20048: Novell Distributed Print Services Integer Overflow Vulnerability
  • SECTRACK ID: 1016052: Novell Client Buffer Overflow in `DPRPCW32.DLL` Lets Remote Users Execute Arbitrary Code
  • SECTRACK ID: 1016068: NetWare Integer Overflow in NDPS/iPrint May Let Remote Users Execute Arbitrary Code

Platforms Affected:

  • Novell Client 4.83 SP3
  • Novell Client 4.9 SP2
  • Novell Client 4.91 SP2
  • Novell NetWare 6.5 SP2
  • Novell NetWare 6.5 SP5
  • Novell NetWare 6.5 SP1.1a
  • Novell NetWare 6.5
  • Novell NetWare 6.5 SP1
  • Novell NetWare 6.5 SP4
  • Novell NetWare 6.5 SP1.1b
  • Novell NetWare 6.5 SP3

Reported:

May 08, 2006

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page